Bug 737767 - Topics which are in the build don't show in the Navigation where they should
Summary: Topics which are in the build don't show in the Navigation where they should
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Misty Stanley-Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 03:47 UTC by Misty Stanley-Jones
Modified: 2014-06-18 07:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 03:03:29 UTC


Attachments (Terms of Use)

Description Misty Stanley-Jones 2011-09-13 03:47:37 UTC
Topic 4620 is in the build (I can type its URL and get to it), but it doesn't show in the navigation under Migration / Application Development like I would expect it to. It is a task, and it is tagged with both of those. What is the magic tagging to get it to show up where it should? I have seen this with some other topics as well, and I think we will see lots more topics in the navigation when we fix it.

Comment 1 sgilda 2011-09-13 10:53:36 UTC
Misty, I have wondered about this too.
Also, what if I don't want a topic to show up in the left navigation until you click on it to expand it? Like a tree view. Is that even possible?

Comment 2 Matthew Casperson 2011-09-14 23:51:24 UTC
Fixed in 20110915-0947

I was calling DocbookBuilder.buildListItemsForToc() incorrectly. Instead of passing individual tag ids that needed to be matched to the tagIds parameter (like Migration from Enterprise Application Platform 5 and Application Development), I was passing all possible tags that could be matched (like Migration from Enterprise Application Platform 5 and Migration from IBM Websphere and Migration from Oracle WebLogic and Application Development). This resulted in no topics being matched, and therefore to not show up in the TOC.

Comment 3 Misty Stanley-Jones 2011-09-15 03:03:29 UTC
Bravo! It works. :)


Note You need to log in before you can comment on or make changes to this bug.